aboutsummaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorGravatar Jan Tattermusch <jtattermusch@google.com>2016-04-20 09:21:50 -0700
committerGravatar Jan Tattermusch <jtattermusch@google.com>2016-04-20 09:21:50 -0700
commit11433b7047fbf8f672e2f220580dabcf02d2f3c0 (patch)
tree24378fed8f439b9913771c433f08b2806db516dc
parentf4154296382f41c86ef16809bdd9b91967120117 (diff)
kill java processes properly
-rwxr-xr-xtools/run_tests/performance/remote_host_prepare.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/tools/run_tests/performance/remote_host_prepare.sh b/tools/run_tests/performance/remote_host_prepare.sh
index a660d29458..17cfa1a599 100755
--- a/tools/run_tests/performance/remote_host_prepare.sh
+++ b/tools/run_tests/performance/remote_host_prepare.sh
@@ -38,10 +38,13 @@ ssh "${USER_AT_HOST}" "rm -rf ~/performance_workspace && mkdir -p ~/performance_
# TODO(jtattermusch): To be sure there are no running processes that would
# mess with the results, be rough and reboot the slave here
# and wait for it to come back online.
-# TODO(jtattermusch): Kill all java QpsWorkers, but killall java
# could also kill jenkins.
ssh "${USER_AT_HOST}" "killall -9 qps_worker mono node ruby || true"
+# Kill all java LoadWorker processes. We can't just killall java
+# as one of the processes might be jenkins.
+ssh "${USER_AT_HOST}" 'kill -9 $(jps | grep LoadWorker | cut -f1 -d" ") || true'
+
# push the current sources to the slave and unpack it.
scp ../grpc.tar "${USER_AT_HOST}:~/performance_workspace"
ssh "${USER_AT_HOST}" "tar -xf ~/performance_workspace/grpc.tar -C ~/performance_workspace"